# Copyright 2023 Pranjal Choudhury (p.choudhury@iitg.ac.in)
# 
# Permission is hereby granted, free of charge, to any person obtaining 
# a copy of this software and associated documentation files (the "Software"), 
# to deal in the Software without restriction, including without limitation 
# the rights to use, copy, modify, merge, publish, distribute, sublicense, 
# and/or sell copies of the Software, and to permit persons to whom the 
# Software is furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
# DEALINGS IN THE SOFTWARE.


# separate code to mimick realtime generation of raw image#

import skimage.io as io 
import time


BasePath='E:\Allprograms\python\STORM'


image=io.imread(BasePath+'\RawDataStack\ImageStack.tif')


num_im=image.shape[0]

for i in range(num_im):
    im=image[i]
    im=im/im.max()*255.
    io.imsave(BasePath+f'\RawDataDynamic\image_({i}).tif',im)
    time.sleep(0.03)							# image gets saved at an interval of 30 ms
    
