# function subroutine to for crude localization using peak local maximum#

import numpy as np
from skimage.feature import peak_local_max



def Detection(image, threshold, PSF_size):
    '''
	parameter image: input image array
	parameter threshold: a number >0
	parameter PSf_size: side of the PSF in pixels (experimental parameter)
	returns: coordinates of the detected PSFs
	'''


    detection_x = []
    detection_y = []
    coordinates = peak_local_max(image, min_distance=PSF_size, threshold_abs=threshold)
    y, x = coordinates.T
    detection_x.append(x)
    detection_y.append(y)
    
    return (detection_x, detection_y)